UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Set a field value in a message by field index

## Functions
LBMSDMExpDLL int | lbmsdm_msg_set_boolean_idx (lbmsdm_msg_t *Message, size_t Index, uint8_t Value)
| Set a field value in a message by field index. More...
LBMSDMExpDLL int | lbmsdm_msg_set_int8_idx (lbmsdm_msg_t *Message, size_t Index, int8_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_uint8_idx (lbmsdm_msg_t *Message, size_t Index, uint8_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_int16_idx (lbmsdm_msg_t *Message, size_t Index, int16_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_uint16_idx (lbmsdm_msg_t *Message, size_t Index, uint16_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_int32_idx (lbmsdm_msg_t *Message, size_t Index, int32_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_uint32_idx (lbmsdm_msg_t *Message, size_t Index, uint32_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_int64_idx (lbmsdm_msg_t *Message, size_t Index, int64_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_uint64_idx (lbmsdm_msg_t *Message, size_t Index, uint64_t Value)
LBMSDMExpDLL int | lbmsdm_msg_set_float_idx (lbmsdm_msg_t *Message, size_t Index, float Value)
LBMSDMExpDLL int | lbmsdm_msg_set_double_idx (lbmsdm_msg_t *Message, size_t Index, double Value)
LBMSDMExpDLL int | lbmsdm_msg_set_decimal_idx (lbmsdm_msg_t *Message, size_t Index, const lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_set_timestamp_idx (lbmsdm_msg_t *Message, size_t Index, const struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_msg_set_message_idx (lbmsdm_msg_t *Message, size_t Index, const lbmsdm_msg_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_set_string_idx (lbmsdm_msg_t *Message, size_t Index, const char *Value)
LBMSDMExpDLL int | lbmsdm_msg_set_unicode_idx (lbmsdm_msg_t *Message, size_t Index, const wchar_t *Value, size_t Length)
| Set a unicode field value in a message by field index. More...
LBMSDMExpDLL int | lbmsdm_msg_set_blob_idx (lbmsdm_msg_t *Message, size_t Index, const void *Value, size_t Length)
| Set a BLOB field value in a message by field index. More...

## Detailed Description

The functions in this group allow the value of a field to be set, and the type of the field to be set to a scalar type, for a field referenced by field index.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_set_blob_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | const void * | Value,
|  | size_t | Length
| ) |  |

Set a BLOB field value in a message by field index.

Parameters

  Message | The SDM message containing the field.
  Index | Field index.
  Value | Pointer to variable containing the value.
  Length | Length of Value in bytes.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_set_boolean_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint8_t | Value
| ) |  |

Set a field value in a message by field index.

Parameters

  Message | The SDM message containing the field.
  Index | Field index.
  Value | Pointer to variable containing the value.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_set_decimal_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | const lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_double_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | double | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_float_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | float | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int16_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int16_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int32_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int32_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int64_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int64_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_int8_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | int8_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_message_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | const lbmsdm_msg_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_string_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | const char * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_timestamp_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | const struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint16_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint16_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint32_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint32_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint64_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint64_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_uint8_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | uint8_t | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_set_unicode_idx | ( | lbmsdm_msg_t * | Message,
|  | size_t | Index,
|  | const wchar_t * | Value,
|  | size_t | Length
| ) |  |

Set a unicode field value in a message by field index.

Parameters

  Message | The SDM message containing the field.
  Index | Field index.
  Value | Pointer to variable containing the value.
  Length | Length of Value in `wchar_t`s.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.